> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-session-list.md).

# Get Booking Session List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingSessionList`

Get a list of booking sessions.

#### Request Body

| Name                  | Type    | Description                                                      |
| --------------------- | ------- | ---------------------------------------------------------------- |
| venueId               | integer | The id of the venue                                              |
| bookingId             | integer | The id of the booking                                            |
| perPage               | integer | The number of bookings to get in a single call                   |
| orderBy               | string  | Order the response by column                                     |
| orderDir              | string  | asc\|desc                                                        |
| includeBookingDetails | boolean | Whether or not to include booking details belongs to the session |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1550,
        "start": 0,
        "perPage": 1,
        "count": 1
    },
    "results": [
        {
            "id": 5260,
            "bookingId": 10960,
            "name": "abc",
            "startDate": "2020-04-14",
            "endDate": "2020-04-14",
            "startTime": "08:00:00",
            "endTime": "10:30:00",
            "spaceVenueId": 1,
            "spaceId": 3,
            "spaceLayout": 3,
            "customLayoutName": null,
            "tariffId": 1,
            "cost": 12,
            "costAfterAdjustment": 12,
            "costDiscount": 0,
            "costSurcharge": null,
            "amount": 13.2,
            "totalDiscount": 0,
            "totalSurcharge": null,
            "totalTaxAmount": 1.2,
            "excludedTaxIds": [],
            "sfExcludedTaxIds": [],
            "setupTime": null,
            "setdownTime": null,
            "canBeMoved": 1,
            "minAttendeesGuaranteed": 10,
            "agreedAttendees": 10,
            "expectedAttendees": 10,
            "guaranteedAttendees": 10,
            "setAttendees": 10,
            "actualAttendees": 10,
            "signage": "",
            "isSignageVisible": 1,
            "createdDate": "2020-02-24 01:13:39 UTC",
            "modifiedDate": "2020-02-24 01:16:43 UTC",
            "roomHireType": 1,
            "includeInPackage": false,
            "bookingPackageId": 0,
            "costcenterId": 4,
            "overridePax": 1,
            "sessionTypeId": 0,
            "beoNumbers": null,
            "booking": {
                "name": "8KC8BZNQ7C",
                "code": "8KC8BZNQ7C",
                "contact": {
                    "id": 21,
                    "firstName": "Dina",
                    "lastName": "Antonopoulos",
                    "email": "email18@email.com",
                    "phone": 1233455
                }
            },
            "projectedSpend": [
                {
                    "priceMethod": 1,
                    "costcenterId": 1,
                    "total": 5000,
                    "amount": 100
                },
                {
                    "priceMethod": 2,
                    "costcenterId": 3,
                    "total": 50,
                    "amount": 50
                }
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Note

`sfExcludedTaxIds` is an array when it is empty otherwise it is an object. See the below example.

```json
"sfExcludedTaxIds": {
    "6146": [
        6064
    ]
},
```

6146 is service fee id and 6064 is excluded tax id

### Example Request

`Get a specific venue’s Booking Session List`

```javascript
{
  "venueId": "1",
  "perPage": 1
}
```

### Projected Spend

| Property     | Description                                                                    | Type    |
| ------------ | ------------------------------------------------------------------------------ | ------- |
| priceMethod  | The price method of the projected spend revenue. 1 = Per Person, 2 = Flat rate | integer |
| costcenterId | Filter by unique id of contact                                                 | integer |
| total        | The total amount of the projected spend revenue for the cost center            | double  |
| amount       | The amount of the projected spend revenue for the cost center                  | double  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-session-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
